Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationTextureManager Class Reference

変換テクスチャマネージャ More...

`#include <TranslationTextureManager.h>`

List of all members.

## Public Member Functions
| TranslationTextureManager ()
| コンストラクタ
virtual | ~TranslationTextureManager ()
| デストラクタ
virtual bool | collectTextures ()
| テクスチャの収集
virtual bool | convertToLamp (Scene *scene) const
| Lampへの変換.
virtual int | clear ()
| クリア
virtual int | getCount () const
| テクスチャ数の取得
virtual TranslationTexture * | get (int index) const
| テクスチャの取得
virtual TranslationTexture * | search (String name) const
| テクスチャの検索
## Protected Member Functions
virtual bool | analysisTexture (const MObject &textureObject)
| テクスチャの解析

## Detailed Description

変換テクスチャマネージャ

Definition at line 38 of file TranslationTextureManager.h.

## Member Function Documentation

bool LampForMaya::TranslationTextureManager::analysisTexture | ( | const MObject & | textureObject | ) | `[protected, virtual]`

  | テクスチャの解析 Parameters:
  textureObject | テクスチャオブジェクト
Definition at line 57 of file TranslationTextureManager.cpp. References LampForMaya::TranslationTexture::analyze(), MayaErrorOut, and MayaStatusCheck. Referenced by collectTextures().

int LampForMaya::TranslationTextureManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 90 of file TranslationTextureManager.cpp. References getCount(). Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationTextureManager().

bool LampForMaya::TranslationTextureManager::collectTextures | ( |  | ) | `[virtual]`

| テクスチャの収集 Returns: 成功すればtrue Definition at line 44 of file TranslationTextureManager.cpp. References analysisTexture(), and MayaStatusCheck. Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationTextureManager::convertToLamp | ( | Scene * | scene | ) | const`[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 82 of file TranslationTextureManager.cpp. References LampForMaya::TranslationTexture::convertToLamp(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertToLamp().

virtual TranslationTexture* LampForMaya::TranslationTextureManager::get | ( | int | index | ) | const`[inline, virtual]`

  | テクスチャの取得 Parameters:
  index | テクスチャのインデクス
Returns: テクスチャ Definition at line 80 of file TranslationTextureManager.h. Referenced by LampForMaya::TranslationPictureManager::collectPictures(), and convertToLamp().

virtual int LampForMaya::TranslationTextureManager::getCount | ( |  | ) | const`[inline, virtual]`

| テクスチャ数の取得 Returns: テクスチャ数 Definition at line 73 of file TranslationTextureManager.h. Referenced by clear(), LampForMaya::TranslationPictureManager::collectPictures(), convertToLamp(), and ~TranslationTextureManager().

virtual TranslationTexture* LampForMaya::TranslationTextureManager::search | ( | String | name | ) | const`[inline, virtual]`

  | テクスチャの検索 Parameters:
  name | 検索するテクスチャ名
Returns: テクスチャ Definition at line 89 of file TranslationTextureManager.h.

The documentation for this class was generated from the following files:

- TranslationTextureManager.h
- TranslationTextureManager.cpp